Package com.sun.mail.imap.protocol

# Class BODYSTRUCTURE

java.lang.Object
com.sun.mail.imap.protocol.BODYSTRUCTURE

All Implemented Interfaces:
  `Item`

public class BODYSTRUCTURE extends Object implements Item
A BODYSTRUCTURE response.

Author:
  John Mani, Bill Shannon

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`attachment`
`BODYSTRUCTURE[]`
`bodies`
`ParameterList`
`cParams`
`String`
`description`
`String`
`disposition`
`ParameterList`
`dParams`
`String`
`encoding`
`ENVELOPE`
`envelope`
`String`
`id`
`String[]`
`language`
`int`
`lines`
`String`
`md5`
`int`
`msgno`
`int`
`size`
`String`
`subtype`
`String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`BODYSTRUCTURE(FetchResponse r)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isMulti()`
`boolean`
`isNested()`
`boolean`
`isSingle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgno

public int msgno

### type

public String type

### subtype

public String subtype

### encoding

public String encoding

### lines

public int lines

### size

public int size

### disposition

public String disposition

### id

public String id

### description

public String description

### md5

public String md5

### attachment

public String attachment

### cParams

public ParameterList cParams

### dParams

public ParameterList dParams

### language

public String[] language

### bodies

public BODYSTRUCTURE[] bodies

### envelope

public ENVELOPE envelope

## Constructor Details

### BODYSTRUCTURE

public BODYSTRUCTURE(FetchResponse r) throws ParsingException

Throws:
  `ParsingException`

## Method Details

### isMulti

public boolean isMulti()

### isSingle

public boolean isSingle()

### isNested

public boolean isNested()